## GgitPush GgitPush |

## Functions

GgitPush * | ggit_push_new ()
void | ggit_push_add_refspec ()
gboolean | ggit_push_finish ()
gboolean | ggit_push_is_unpack_ok ()

## Properties

GgitRemote * | remote | Read / Write / Construct Only

## Types and Values

| GgitPush
struct | GgitPushClass

## Object Hierarchy

        GObject
        ╰── GgitObjectFactoryBase
            ╰── GgitNative
                ╰── GgitPush

## Implemented Interfaces

GgitPush implements GInitable.

## Description

## Functions

### ggit_push_new ()

    GgitPush *
    ggit_push_new (GgitRemote *remote,
                   GError **error);

Creates a new GgitPush for `remote` .

#### Parameters

remote | a GgitRemote. |
error | a GError for error reporting, or `NULL`. |

#### Returns

a newly created GgitPush.

[transfer full]

### ggit_push_add_refspec ()

    void
    ggit_push_add_refspec (GgitPush *push,
                           const gchar *refspec,
                           GError **error);

Adds a refspec to be pushed.

#### Parameters

push | a GgitPush. |
refspec | Refspec string. |
error | a GError for error reporting, or `NULL`. |

### ggit_push_finish ()

    gboolean
    ggit_push_finish (GgitPush *push,
                      GgitPushProgress *progress,
                      GError **error);

Actually push all given refspecs.

#### Parameters

push | a GgitPush. |
progress | a GgitPushProgress, or `NULL`. | [allow-none]
error | a GError for error reporting, or `NULL`. |

### ggit_push_is_unpack_ok ()

    gboolean
    ggit_push_is_unpack_ok (GgitPush *push);

Checks if the remote side is successfully unpacked.

#### Parameters

push | a GgitPush. |

#### Returns

if the remote side is successfully unpacked.

## Types and Values

### GgitPush

    typedef struct _GgitPush GgitPush;

Represents a git push.

### struct GgitPushClass

    struct GgitPushClass {
    };

## Property Details

### The `“remote”` property

      “remote”                   GgitRemote *

The remote associated with this push.

Flags: Read / Write / Construct Only